import { Repository } from "typeorm";
import { Cms } from "../../common/cms/cms.entity";
import { CreateCmsDto, UpdateCmsDto, UpdateStatusDto } from "./admin.cms.dto";
export declare class AdminCmsService {
    private readonly cmssRepository;
    constructor(cmssRepository: Repository<Cms>);
    create(createCmsDto: CreateCmsDto): Promise<Cms>;
    findAll(): Promise<Cms[]>;
    findOne(id: number): Promise<Cms>;
    update(id: number, updateCmsDto: UpdateCmsDto): Promise<Cms>;
    remove(id: number): Promise<void>;
    updateStatus(id: number, status: UpdateStatusDto): Promise<Cms>;
}
